How to Obtain a TestId (UUID)
Use the UserTesting UI to Find Test IDs.
For some requests, you will need to provide the testId of the test you want to get data from.
The testId is a universally unique identifier (UUID) that is used to identify tests, for example: 123e4567-e89b-1234-a2b3-1234567890ab.
Note: The Results API (v2) works only on the latest test types and the sessions associated with them.
These tests include:
Attention: Classic UserTesting tests and their resources are NOT available via the Results API (v2).
These tests include:
Live Conversation, Video Upload, Prototype Test, App Test, and Web Test.Use legacy endpoints (v1) to access classic UserTesting data.
Tip: We currently recommend obtaining test IDs manually, as displayed below. But if you need to search through huge amounts of tests, refer to Classify Tests by Type for an automated approach using Legacy and Results API for bulk classification of tests.
Steps
To obtain a testId, follow these steps:
-
Log in to the UserTesting app.
-
On the navigation panel, select a workspace.
-
On the same panel, select Tests.
-
In the Tests section, select the All test types button to sort tests by one of the compatible test types, for example:
Survey,Unmoderated > Interaction test, orUnmoderated > Think-out-loud test. -
Select the test you want to request data for through the API.

UserTesting UI
- In your browser’s address bar, copy the UUID found in the URL.

Address bar with UUID in URL
-
Make your API request using the UUID you just copied.
For example, to obtain a list of all sessions within a test, in the
testIdquery parameter of the following endpoint, replace theTEST_IDplaceholder with the UUID with the value you obtained. :GET
/api/v2/sessionResults/?testId=TEST_IDRequest sample:
curl --request GET \
--url 'https://api.use2.usertesting.com/api/v2/sessionResults?testId=TEST_ID' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer ACCESS_TOKEN'Replace the TEST_ID and ACCESS_TOKEN placeholders with the corresponding values.
Updated 21 days ago
